%def_without xcb

Name: Mesa
Version: 7.0.2
Release: alt1.M40.1
Serial: 2
License: LGPL
Summary: OpenGL compatible 3D graphics library
Group: System/Libraries
Url: http://www.mesa3d.org

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: MesaLib-%version.tar.bz2
Source1: MesaGLUT-%version.tar.bz2
Source2: MesaDemos-%version.tar.bz2

Source10: Mesa-glxgears.desktop
Source11: Mesa-glxgears-icons.tar.bz2

Patch0: Mesa-6.5.3-alt-xdemos.patch
Patch1: Mesa-7.0.2-alt-make.patch
Patch2: Mesa-6.5.3-alt-xcb.patch

Patch200: Mesa-6.5.3-alt-openchrome.patch

Patch400: Mesa-7.0.1-use_master-r300.patch
Patch402: Mesa-7.0.1-r300-fix-writemask.patch

Patch500: Mesa-7.0.1-git-nouveau.patch
Patch501: Mesa-7.0.2-nouveau-card.patch

BuildRequires: gcc-c++ libXext-devel libXdamage-devel libXdmcp-devel libXi-devel libX11-devel
BuildRequires: libXmu-devel libXt-devel libXau-devel libXxf86vm-devel libdrm-devel >= 2.4.0
BuildRequires: libexpat-devel libstdc++-devel pkg-config xorg-x11-proto-devel
%if_with xcb
BuildRequires: libxcb-devel
%endif

%description
Mesa is an OpenGL compatible 3D graphics library.

%package -n libmesa
Summary: OpenGL 1.3 compatible 3D graphics library for X Window server
Group: System/Libraries
Provides: Mesa = %version-%release libGLU = %version-%release
Provides: libGLwrapper = %version-%release glx = %version-%release
Obsoletes: Mesa < %version libGLwrapper libGLU glx
Conflicts: xorg-x11-mesagl <= 6.9.0 xorg-x11-mesaGL <= 6.9.0
Requires(post): coreutils

%description -n libmesa
Mesa is an OpenGL compatible 3D graphics library.

%package -n libmesa-devel
Summary: Development files for Mesa Library
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: libmesa = %version-%release
Requires: libXext-devel libXdamage-devel libXdmcp-devel libXi-devel libX11-devel
Requires: libXmu-devel libXt-devel libXau-devel libXxf86vm-devel libdrm-devel libexpat-devel
%if_with xcb
Requires: libxcb-devel
%endif
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0
Provides: libGLU-devel = %version-%release Mesa-devel = %version-%release
Obsoletes: libGLU-devel Mesa-devel < %version

%description -n libmesa-devel
libmesa-devel contains the libraries and header files needed to
develop programs which make use of libmesa.

%package -n libglut
Summary: Files for Mesa (glut lib)
Group: System/Libraries

%description -n libglut
Mesa is an OpenGL compatible 3D graphics library.
This packet contains libglut part of Mesa.

%package -n libglut-devel
Summary: Development files for GLU lib
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: libglut = %version-%release
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description -n libglut-devel
Mesa is an OpenGL compatible 3D graphics library.
This package contains the headers of libglut needed to compile Mesa programs.

%package -n xorg-x11-dri-intel
Summary: Intel DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx
Obsoletes: xorg-x11-dri-i810 < %serial:%version-%release
Provides: xorg-x11-dri-intel = %serial:%version-%release

%description -n xorg-x11-dri-intel
DRI driver for Intel i8xx, i9xx

%package -n xorg-x11-dri-ati
Summary: ATI DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx

%description -n xorg-x11-dri-ati
DRI driver for ATI Match64, R128, R200, R300

%package -n xorg-x11-dri-mga
Summary: MGA DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx

%description -n xorg-x11-dri-mga
DRI driver for MGA

%package -n xorg-x11-dri-nouveau
Summary: nVidia DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx

%description -n xorg-x11-dri-nouveau
DRI driver for nVidia

%package -n xorg-x11-dri-savage
Summary: Savage DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx

%description -n xorg-x11-dri-savage
DRI driver for Savage

%package -n xorg-x11-dri-sis
Summary: SiS DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx

%description -n xorg-x11-dri-sis
DRI driver for SiS

%package -n xorg-x11-dri-tdfx
Summary: 3Dfx DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx

%description -n xorg-x11-dri-tdfx
DRI driver for 3Dfx

%package -n xorg-x11-dri-via
Summary: VIA DRI driver
Group: System/X11
Requires: libmesa = %version-%release xorg-x11-extensions-glx

%description -n xorg-x11-dri-via
DRI driver for VIA

%package -n glxinfo
Summary: display info about a GLX extension and OpenGL renderer.
Group: System/X11

%description -n glxinfo
glxinfo lists information about the GLX extension, OpenGL capable visu-
als, and the OpenGL renderer on an X server. The GLX and renderer  info
includes  the  version  and extension attributes. The visual info lists
the GLX visual attributes available  for  each  OpenGL  capable  visual
(e.g.  whether  the  visual is double buffered, the component sizes, Z-
buffering depth, etc).

%package -n glxgears
Summary: GLX version of the infamous "gears" GL demo.
Group: System/X11

%description -n glxgears
glxgears  is a GLX demo that draws three rotating gears, and prints out
framerate information to stdout.

%set_verify_elf_method textrel=relaxed

%prep
%setup -q -b1 -b2

%patch0 -p1 -b .xdemos
%patch1 -p1 -b .alt

%if_with xcb
%patch2 -p1 -b .dri-xcb
%endif

%patch200 -p1

%patch400 -p1
%patch402 -p1

%patch500 -p1
%patch501 -p1

%build
%ifarch %ix86
%make_build linux-dri-x86
%else
%ifarch x86_64
%make_build linux-dri-x86-64
%else
%make_build linux-dri
%endif
%endif

%make_build -C progs/xdemos

%install
%__mkdir -p %buildroot%_includedir/GL
%__install -m644 include/GL/*.h %buildroot%_includedir/GL/
%__mkdir -p %buildroot%_libdir/X11/modules/dri
%__cp -a lib*/lib* %buildroot%_libdir/
%__install -m644 lib*/*_dri.so %buildroot%_libdir/X11/modules/dri/

%__mkdir_p %buildroot%_bindir
%__install -m755 progs/xdemos/glx{info,gears} %buildroot%_bindir/

%__mkdir_p %buildroot{%_iconsdir,%_desktopdir}
%__install -m644 %SOURCE10 %buildroot%_desktopdir/glxgears.desktop
%__tar -xjf %SOURCE11 -C %buildroot%_iconsdir

# moved libGL
%__mkdir_p %buildroot%_sysconfdir/X11/lib
%__mkdir_p %buildroot%_libdir/X11/mesa_gl
%__mv %buildroot%_libdir/libGL.so.1.2 %buildroot%_libdir/X11/mesa_gl/
%__ln_s -f ../../..%_libdir/X11/mesa_gl/libGL.so.1.2 %buildroot%_sysconfdir/X11/lib/libGL.so.1
%__ln_s -f ../..%_sysconfdir/X11/lib/libGL.so.1 %buildroot%_libdir/
%__ln_s -f X11/mesa_gl/libGL.so.1.2 %buildroot%_libdir/
%__ln_s -f X11/mesa_gl/libGL.so.1.2 %buildroot%_libdir/libGL.so

%post -n libglut
%post_ldconfig

%postun -n libglut 
%postun_ldconfig

%post -n libmesa
[ -r %_sysconfdir/X11/lib/libGL.so.1 ] || \
	%__ln_s -f ../../..%_libdir/X11/mesa_gl/libGL.so.1.2 %_sysconfdir/X11/lib/libGL.so.1
%__ln_s -f ../..%_sysconfdir/X11/lib/libGL.so.1 %_libdir/
%post_ldconfig

%postun -n libmesa 
%postun_ldconfig

%files -n libmesa
%doc docs/relnotes-%version.html docs/versions.html
%dir %_sysconfdir/X11/lib
%ghost %_sysconfdir/X11/lib/libGL.so.1
%_libdir/X11/mesa_gl
%_libdir/libG*.so.*

%files -n libmesa-devel
%exclude %_includedir/GL/glut*.h
%_includedir/GL/*
%_libdir/libG*.so

%files -n libglut
%_libdir/libglut.so.*

%files -n libglut-devel
%_includedir/GL/glut*.h
%_libdir/libglut.so

%files -n xorg-x11-dri-intel
%ifnarch x86_64
%_libdir/X11/modules/dri/i810_dri.so
%endif
%_libdir/X11//modules/dri/i9?5*_dri.so

%files -n xorg-x11-dri-ati
%_libdir/X11/modules/dri/mach64_dri.so
%_libdir/X11/modules/dri/r128_dri.so
%_libdir/X11/modules/dri/r?00_dri.so
%_libdir/X11/modules/dri/radeon_dri.so

%files -n xorg-x11-dri-via
%_libdir/X11/modules/dri/unichrome_dri.so

%files -n xorg-x11-dri-mga
%_libdir/X11/modules/dri/mga_dri.so

%files -n xorg-x11-dri-nouveau
%_libdir/X11/modules/dri/nouveau_dri.so

%files -n xorg-x11-dri-savage
%_libdir/X11/modules/dri/savage_dri.so

%files -n xorg-x11-dri-sis
%_libdir/X11/modules/dri/sis_dri.so

%files -n xorg-x11-dri-tdfx
%_libdir/X11/modules/dri/tdfx_dri.so

%files -n glxinfo
%_bindir/glxinfo

%files -n glxgears
%_bindir/glxgears
%_desktopdir/glxgears.desktop
%_iconsdir/hicolor/*/apps/glxgears.png

%changelog
* Wed Nov 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt1.M40.1
- build for branch 4.0

* Fri Nov 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt2
- rebuild with libdrm-2.4.0

* Sun Nov 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.2-alt1
- 7.0.2 is a stable release with bug fixes since version 7.0
- drop upstream patches

* Mon Nov 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt6
- Mesa-7.0.1-git-memleak-in-SSE.patch:
  + Fix mem leak in SSE code generation path and don't crash
    if _mesa_exec_malloc() returns NULL.

* Thu Oct 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt5
- added Mesa-7.0.1-r200-settexoffset.patch,
	Mesa-7.0.1-r300-fix-writemask.patch

* Sun Oct 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt4
- build with xcb

* Fri Sep 28 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt3
- added "Requires(post): coreutils" for libmesa (close #12959)
- update nouveau dri driver from GIT

* Wed Sep 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt2
- returned Mesa-7.0.1-I945_GME-G33-Q33-Q35.patch
- update nouveau dri driver from GIT

* Sat Aug 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0.1-alt1
- 7.0.1 bug-fix release

* Wed Aug 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt9
- added Mesa-7.0-git-MAT_ATTRIB_MAX-bug11811.patch,
	Mesa-7.0-git-stencil-value-masking-bug11805.patch,
	Mesa-7.0-git-vbo_split_copy-bug9962.patch,
	Mesa-7.0-git-potential-NULL-dereference-bug11880.patch,
	Mesa-7.0-git-swizzle-error-test-bug11881.patch
- update nouveau dri driver from GIT (requires libdrm-2.3.1-alt5)
- fixed requires for xorg-x11-dri-*

* Wed Aug 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt8
- added Mesa-7.0-git-memleak-bug11791.patch,
	Mesa-7.0-git-memleak-bug11793.patch

* Wed Aug 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt7
- added Mesa-7.0-git-failure-caused-by-undeclared-variable-bug11783.patch,
	Mesa-7.0-git-glGetAttribLocation-bug11774.patch

* Mon Jul 30 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt6
- added Mesa-7.0-git-glPointParameteriv-bug11754.patch

* Fri Jul 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt5
- added Mesa-7.0-git-fragment-program-bug11733.patch,
	Mesa-7.0-git-function-call-bug11731.patch

* Mon Jul 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt4
- added Mesa-7.0-git-GLX_STEREO-handling-bug11705.patch
- update nouveau dri driver

* Mon Jul 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt3
- added Mesa-7.0-git-depth-mix-up-bug11577.patch,
	Mesa-7.0-git-swizzle-related-bug11534.patch,
	Mesa-7.0-git-shader-info-bug11588.patch

* Tue Jul 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt2
- added Mesa-7.0-git-image-bug11448.patch,
	Mesa-7.0-git-GL_DOT3_RGBA-bug11030.patch

* Sat Jun 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:7.0-alt1
- 7.0 is released. This is a stable release featuring OpenGL 2.1 support.

* Wed Jun 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt8
- add support for the G33, Q33, and Q35 chipsets

* Thu May 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt7
- Mesa-6.5.3-git-point-attentuation-bug11042.patch: fix point attentuation problem
- Mesa-6.5.3-git-GL_TEXTURE_LOD_BIAS-bug11049.patch: restore GL_TEXTURE_LOD_BIAS in _mesa_PopAttrib()
- add support for the i945GME, i965GME and i965GLE chipsets

* Tue May 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt6
- build without xcb

* Sat May 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt5
- added Mesa-6.5.3-git-STATE_HALF_VECTOR-bug10987.patch,
	Mesa-6.5.3-git-i915-s3tc-mipmaps-bug10968.patch

* Tue May 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt4
- added Mesa-6.5.3-git-glXGetArrayType-return-type-bug10938.patch

* Wed May 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt3
- build with xcb

* Sun Apr 29 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt2
- added Mesa-6.5.3-git-r300-page-flipping.patch: Page flipping fixes

* Fri Apr 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.3-alt1
- 6.5.3 release

* Mon Apr 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt21
- added menu file and icons for glxgears (close #11355)

* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt20
- use movdqu instead of movdqa for unaligned load avoiding a segfault (upstream bug 10265) 

* Tue Mar 13 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt19
- added Mesa-6.5.2-git-n_dot_h-bug9977.patch,
	Mesa-6.5.2-git-fix-textrel.patch
- spec cleanup

* Wed Feb 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt18
- added Mesa-6.5.2-git-tnl-bug9856.patch,
	Mesa-6.5.2-git-unichrome-CN700.patch,
	Mesa-6.5.2-git-fd-bug9684.patch

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt17
- added Mesa-6.5.2-git-main-mem-leak.patch,
	Mesa-6.5.2-git-glxext-mem-leak.patch

* Mon Feb 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt16
- added Mesa-6.5.2-git-i965-glxswapcontrol.patch,
	Mesa-6.5.2-git-CheckArrayBounds-bug9285.patch,
	Mesa-6.5.2-git-GetVertexAttribPointerv-bug9628.patch,
	Mesa-6.5.2-git-i965-static-buffer-bug9604.patch,
	Mesa-6.5.2-git-radeon-radeonClear.patch,
	Mesa-6.5.2-git-i915-vertexfog-bug9686.patch

* Tue Jan 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt15
- added Mesa-6.5.2-git-i915tex-randr-resizing.patch,
	Mesa-6.5.2-git-i915tex-relocation.patch

* Fri Jan 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt14
- added Mesa-6.5.2-git-i965-bug9625.patch

* Sun Jan 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt13
- added Mesa-6.5.2-git-r300-vertex-position.patch
- fixed Mesa-6.5.2-git-r300-fragprog-correct.patch

* Tue Jan 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt12
- added Mesa-6.5.2-git-PolygonMode-bug9578.patch,
	Mesa-6.5.2-git-VBO-state-bug9445.patch,
	Mesa-6.5.2-git-32bit-Z-buffer.patch,
	Mesa-6.5.2-git-i965-inteldebug.patch,
	Mesa-6.5.2-git-i965-flowmode.patch,
	Mesa-6.5.2-git-i965-ARB_occlusion_query.patch,
	Mesa-6.5.2-git-i965-maxprim.patch,
	Mesa-6.5.2-git-i965-bug9201.patch

* Thu Jan 04 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt11
- added Mesa-6.5.2-git-r300-fragprog-correct.patch

* Mon Jan 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt10
- added Mesa-6.5.2-git-r300-fragprog.patch,
	Mesa-6.5.2-git-i915tex-advertising.patch,
	Mesa-6.5.2-git-i965-sarea.patch

* Mon Dec 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt9
- fixed requires for libmesa
- added Mesa-6.5.2-git-swrast-bug9345.patch

* Thu Dec 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt8
- added Mesa-6.5.2-git-i965-fix-crash-wine.patch,
	Mesa-6.5.2-git-mach64-bug7260.patch,
	Mesa-6.5.2-git-mach64-bug7790.patch,
	Mesa-6.5.2-git-mach64-bug7861.patch,
	Mesa-6.5.2-git-r200-WoW-bug8250.patch
- added -fno-strict-aliasing to CFLAGS (fixed #10418)

* Sun Dec 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt7
- added Mesa-6.5.2-git-i965-bug9045.patch,
	Mesa-6.5.2-git-i965-bug9237.patch

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt6
- added Mesa-6.5.2-git-i915tex-intelWindowMoved.patch

* Sun Dec 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt5
- 6.5.2 release

* Sat Dec 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt4
- CVS snapshot 2006-12-01:
  + Fixed glDrawPixels(GL_COLOR_INDEX, GL_BITMAP) segfault
  + Fixed some gluBuild2DMipmaps() bugs
  + Fixed broken "mgl" name mangling
  + Fixed indirect rending was broken for glMap* functions
  + Added support for ARB_occlusion_query to the tdfx driver

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt3
- CVS snapshot 2006-11-15:
  + Fixed glGetVertexAttribfvARB bug 8883
  + Implemented glGetUniform[fi]vARB() functions

* Tue Nov 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt2
- CVS snapshot 2006-11-14:
  + fragment.fogcoord register didn't always contain the correct value
  + RGBA logicops didn't work reliably in some DRI drivers
  + Fixed broken RGBA LogicOps in Intel DRI drivers
  + Fixed some fragment program bugs in Intel i915 DRI driver
  + New DRI memory manager system. Currently used by the i915tex driver.
- enabled TLS support for x86_64

* Wed Oct 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.2-alt1
- CVS snapshot 2006-10-18:
  + fixed invalid memory read while rendering textured points
  + fixed problems with freebsd-dri configuration
  + Mesa's fake glxGetCurrentContext() wasn't thread-aware
  + OPTION NV_position_invariant didn't work in NV vertex programs
  + glDrawPixels into a user-created framebuffer object could crash Xlib driver
  + Line clipping was broken in some circumstances

* Wed Oct 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt8
- build to GLX_USE_TLS to enable TLS support.

* Wed Oct 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt7
- rebuild with glibc-2.5

* Sat Sep 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt6
- 6.5.1 release

* Thu Sep 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt5
- added %%_optlevel 3

* Mon Sep 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt4
- added -pipe -O2 to optflags
- added -fPIC to optflags for %ix86
- added mesa-6.4.1-radeon-use-right-texture-format.patch

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt3
- build mga, savage, sis, tdfx for x86_64

* Wed Aug 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt2
- 6.5.1
- build i810, mga, savage, sis, tdfx for i586 only

* Sat Jun 17 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.5.1-alt0.cvs20060612
- enabled arch optimization for x86

* Sat Apr 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:6.4.2-alt1
- rollback 6.4.2

* Sun Apr 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5-alt2
- enabled arch optimization

* Sat Apr 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.5-alt1
- 6.5

* Tue Mar 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.2-alt3
- added obsoletes Mesa to libmesa

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.2-alt2
- removed not used i830_dri.so

* Thu Feb 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.2-alt1
- 6.4.2

* Mon Feb 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt6
- fixed provides

* Wed Jan 25 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt5
- fixed LIBGL_DRIVERS_DIR for x86_64 

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt4
- added Provides libGLU-devel to libmesa-devel (#8892)

* Fri Jan 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt3
- set LIBGL_DRIVERS_DIR to %_libdir/X11/modules/dri

* Thu Jan 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt2
- fixed requires

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:6.4.1-alt1
- 6.4.1

* Tue Nov 22 2005 Valery Inozemtsev <shrek@altlinux.ru> 6.4-alt0.1
- 6.4

* Fri Dec 17 2004 Valery Inozemtsev <shrek@altlinux.ru> 6.2.1-alt1
- 6.2.1

* Wed Sep 22 2004 Valery Inozemtsev <shrek@altlinux.ru> 6.1-alt1
- 6.1
- build demos, glut only

* Wed Apr 28 2004 Anton Farygin <rider@altlinux.ru> 5.0.2-alt2
- removed all compat libMesaGL symlinks (it's need for ldconfig from glibc 2.3)

* Fri Apr 23 2004 Anton Farygin <rider@altlinux.ru> 5.0.2-alt1
- updated to Mesa 5.0.2
- specfile cleanup
- updated glx to glx-xf4-20031008

* Thu Oct 02 2003 Rider <rider@altlinux.ru> 5.0.1-alt7
- enable build libOSMesa (fixed bug #3090)

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 5.0.1-alt6
- fix requires and provides

* Fri Sep 26 2003 Anton Farygin <rider@altlinux.ru> 5.0.1-alt5
- added check in to libGLwrapper for ATI math based video cards

* Tue Jul 29 2003 Peter Novodvorsky <nidd@altlinux.com> 5.0.1-alt4
- updated ALT_MESA and MESA versions.

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 5.0.1-alt3
- updated Mesa to 5.0.1
- added fglrx support in GLwrapper

* Thu Oct 03 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt3
- Rebuild with gcc 3.2

* Wed Sep 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt2
- Fixed linking libraries
- Removed .la files from devel package

* Fri Sep 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt1
- 4.0.3
- Now we building libGLU packages
- build with gcc 2.96
- Fixed rpath

* Mon Apr 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Mon Mar 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.1-alt1
- 4.0.1
- Some spec cleanup

* Fri Nov 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.0-alt1
- 4.0

* Tue Jul 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.5-alt2
- Fixed bug with files in Mesa-demos
- Compile c++ files with optimization
- Added SSE optimization
- Return back libGLU and added libGLU & libGLU-devel packages, define it
  for build it
- Disabled osmesa build
- Fixed SGIX features in libglut - they're not present in Mesa 3.4.2

* Sat Jun 30 2001 Mikhail Zabaluev <mhz@altlinux.ru> 3.5-alt1.1
- added -fno-exceptions -fno-rtti to optflags

* Wed Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.5-alt1
- New version
- Some spec cleanup
- Added MesaOS to Mesa package

* Thu Jun 7 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.4.2-alt1
- New Mesa version
- Remove changelog messages before Jan 2001
- Remove libGLU library. It's now in XFree86-libs package.
- Added new packages - libglut, libglut-devel, glx, libGLwrapper
- Patched libGLwrapper for nVidia commercial driver compatibility
- Some spec cleanup

* Sun Feb 25 2001 AEN <aen@logic.ru>	3.4.1-ipl2mdk
- build 3.4.1 in RE environment
- cleanup spec

* Thu Feb 15 2001 Franois Pons <fpons@mandrakesoft.com> 3.4.1-1mdk
- 3.4.1 and remove GLUtesselator patch.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.4-8mdk
- patched mach64dmainit.c from CVS. Now /tmp/glx* is
  safely cleaned for mach64 on X exits.

* Mon Jan 22 2001 AEN <aen@logic.ru>
- RE adaptation

* Tue Jan 02 2001 Franois Pons <fpons@mandrakesoft.com> 3.4-7mdk
- updated GLwrapper with 0.1.4.
